package com.fkzy.warn.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fkzy.warn.common.constants.EntityConstants;
import com.fkzy.warn.common.request.RequestParameter;
import com.fkzy.warn.common.response.ApiResponse;
import com.fkzy.warn.mapper.EnterpriseProvinceMapper;
import com.fkzy.warn.model.EnterpriseProvince;
import com.fkzy.warn.service.EnterpriseProvinceService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author zhangjing
 * @date 2023/10/16 18:17
 * @description
 */
@Service
public class EnterpriseProvinceServiceImpl extends ServiceImpl<EnterpriseProvinceMapper, EnterpriseProvince> implements
    EnterpriseProvinceService {


    @Override
    public ApiResponse saveModel(EnterpriseProvince entity, String ticket) {
        save(entity);
        return new ApiResponse();
    }

    @Override
    public ApiResponse updateModel(EnterpriseProvince entity,String ticket) {
        this.updateById(entity);
        return new ApiResponse();
    }

    @Override
    public ApiResponse deleteModel(List<String> ids) {
        EnterpriseProvince entity = new EnterpriseProvince();
        entity.setIsDel(EntityConstants.DEL);
        QueryWrapper wrapper = new QueryWrapper();
        wrapper.in("id", ids);
        update(entity, wrapper);
        return new ApiResponse();
    }

    @Override
    public Page<EnterpriseProvince> queryPage(RequestParameter parameter) {
        EnterpriseProvince entity = parameter.getParameter().toJavaObject(EnterpriseProvince.class);
        Page<EnterpriseProvince> page = new Page<EnterpriseProvince>(parameter.getCurrent(), parameter.getSize());
        page.setSearchCount(true);
        page.setOptimizeCountSql(true);
        QueryWrapper<EnterpriseProvince> eWrapper = new QueryWrapper<EnterpriseProvince>(entity);
        Page<EnterpriseProvince> result = this.page(page, eWrapper);
        return result;
    }
}
